Interface SchemaDesignerApi
@Path("/schema-designer")
public interface SchemaDesignerApi
V2 API definitions for the Solr Schema Designer.
-
Method Summary
Modifier and TypeMethodDescriptionaddSchemaObject(String configSet, Integer schemaVersion, SchemaDesignerAddRequestBody requestBody) analyze(String configSet, Integer schemaVersion, String copyFrom, String uniqueKeyField, List<String> languages, Boolean enableDynamicFields, Boolean enableFieldGuessing, Boolean enableNestedDocs) Analyzes sample documents to suggest a schema.cleanupTempSchema(String configSet) getSampleValue(String configSet, String fieldName, String idField, String docId) getSchemaDiff(String configSet) listCollectionsForConfig(String configSet) prepNewSchema(String configSet, String copyFrom) publish(String configSet, Integer schemaVersion, String newCollection, Boolean reloadCollections, Integer numShards, Integer replicationFactor, Boolean indexToCollection, Boolean cleanupTempParam, Boolean disableDesigner) updateFileContents(String configSet, String file, InputStream fileContents) updateSchemaObject(String configSet, Integer schemaVersion, SchemaDesignerUpdateRequestBody requestBody)
-
Method Details
-
getInfo
@GET @Path("/{configSet}") SchemaDesignerInfoResponse getInfo(@PathParam("configSet") String configSet) throws Exception - Throws:
Exception
-
prepNewSchema
@POST @Path("/{configSet}/prep") SchemaDesignerResponse prepNewSchema(@PathParam("configSet") String configSet, @QueryParam("copyFrom") String copyFrom) throws Exception - Throws:
Exception
-
cleanupTempSchema
@DELETE @Path("/{configSet}") SolrJerseyResponse cleanupTempSchema(@PathParam("configSet") String configSet) throws Exception - Throws:
Exception
-
updateFileContents
@PUT @Path("/{configSet}/file") SchemaDesignerFileContentsResponse updateFileContents(@PathParam("configSet") String configSet, @QueryParam("file") String file, InputStream fileContents) throws Exception - Throws:
Exception
-
getSampleValue
@GET @Path("/{configSet}/sample") FlexibleSolrJerseyResponse getSampleValue(@PathParam("configSet") String configSet, @QueryParam("field") String fieldName, @QueryParam("uniqueKeyField") String idField, @QueryParam("docId") String docId) throws Exception - Throws:
Exception
-
listCollectionsForConfig
@GET @Path("/{configSet}/collections") ListCollectionsResponse listCollectionsForConfig(@PathParam("configSet") String configSet) throws Exception - Throws:
Exception
-
listDesignerConfigs
- Throws:
Exception
-
addSchemaObject
@POST @Path("/{configSet}") SchemaDesignerAddResponse addSchemaObject(@PathParam("configSet") String configSet, @QueryParam("schemaVersion") Integer schemaVersion, SchemaDesignerAddRequestBody requestBody) throws Exception - Throws:
Exception
-
updateSchemaObject
@PUT @Path("/{configSet}") SchemaDesignerUpdateResponse updateSchemaObject(@PathParam("configSet") String configSet, @QueryParam("schemaVersion") Integer schemaVersion, SchemaDesignerUpdateRequestBody requestBody) throws Exception - Throws:
Exception
-
publish
@PUT @Path("/{configSet}/publish") SchemaDesignerPublishResponse publish(@PathParam("configSet") String configSet, @QueryParam("schemaVersion") Integer schemaVersion, @QueryParam("newCollection") String newCollection, @QueryParam("reloadCollections") @DefaultValue("false") Boolean reloadCollections, @QueryParam("numShards") @DefaultValue("1") Integer numShards, @QueryParam("replicationFactor") @DefaultValue("1") Integer replicationFactor, @QueryParam("indexToCollection") @DefaultValue("false") Boolean indexToCollection, @QueryParam("cleanupTemp") @DefaultValue("true") Boolean cleanupTempParam, @QueryParam("disableDesigner") @DefaultValue("false") Boolean disableDesigner) throws Exception - Throws:
Exception
-
analyze
@POST @Path("/{configSet}/analyze") SchemaDesignerAnalyzeResponse analyze(@PathParam("configSet") String configSet, @QueryParam("schemaVersion") Integer schemaVersion, @QueryParam("copyFrom") String copyFrom, @QueryParam("uniqueKeyField") String uniqueKeyField, @QueryParam("languages") List<String> languages, @QueryParam("enableDynamicFields") Boolean enableDynamicFields, @QueryParam("enableFieldGuessing") Boolean enableFieldGuessing, @QueryParam("enableNestedDocs") Boolean enableNestedDocs) throws Exception Analyzes sample documents to suggest a schema.Sample documents are read from the HTTP request body (not declared as a parameter on this interface — see
SchemaDesigner#loadSampleDocuments) and dispatched to a parser based on theContent-Typeheader.- Throws:
Exception
-
query
@GET @Path("/{configSet}/query") FlexibleSolrJerseyResponse query(@PathParam("configSet") String configSet) throws Exception - Throws:
Exception
-
getSchemaDiff
@GET @Path("/{configSet}/diff") SchemaDesignerSchemaDiffResponse getSchemaDiff(@PathParam("configSet") String configSet) throws Exception - Throws:
Exception
-